antiprism-0.23
Up Next

# sph_saff - spiral points on a sphere (Saff and Kuiljaars)

Usage | Examples | Notes

## Usage

    Usage: sph_saff [options] num_points

    Distribute a number of points on a sphere using the algorithm
    from "Distributing many points on a sphere" by E.B. Saff and
    A.B.J. Kuijlaars, Mathematical Intelligencer 19.1 (1997) 5--11.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -a <ang>  increment each point placement by a fixed angle instead of
                using Saff and Kuiljaars' placement method
      -p        place points at the two poles
      -o <file> write output to file (default: write to standard output)

## Examples

Distribute 200 points on a sphere

    sph_saff 200 | antiview -v b

Distribute 200 points on a sphere, start at the poles

    sph_saff -p 200 | antiview -v b

Distribute 200 points on a sphere, using a golden section offset

    sph_saff -a 222.49223595 200 | antiview -v b

An attractive spiral

    sph_saff -a 65 500 | antiview -v b

## Notes

An implementation of an "Easy method for a fairly good point distribution [Saff/Kuijlaars]"

Anton Sherwood helped with details of the algorithm. The angle offset option uses his method for spirals based on the golden ratio.

The output can be run through conv_hull to create a polyhedron.

Up: Programs and Documentation
Next: repel - equilibrium of points repelling on a sphere